curl --location --request PUT 'https://api-35.elogii.com/driver-schedule-exceptions/' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"reference": "Ref-001",
"driver":{
"_id":"67a000000000000000079"
}
,
"dateRange": {
"startDate": "20250225",
"endDate": "20250227"
},
"description": "UPDATED TITLE",
"dayOff": true,
"overrides": {
"scheduleKeys": "string",
"schedule": {
"timeWindows": [
{
"start": 560,
"end": 640
}
],
"skills": [
"string"
],
"maxMultiDayRouteDays": 0
},
"skills": [
"string"
]
}
}'{
"_id": "67b000000000000d4",
"organization": "64706d30000000060d2",
"path": "64706d000000060d2",
"driver": {
"_id": "67a0000000000000079",
"uid": "DR-6YI60078"
},
"dateRange": {
"startDate": 20250225,
"endDate": 20250227
},
"description": "UPDATED TITLE",
"dayOff": false,
"overrides": {
"scheduleKeys": "string",
"schedule": {
"timeWindows": [
{
"start": 560,
"end": 640
}
],
"skills": [
"string"
],
"maxMultiDayRouteDays": 0
},
"skills": [
"string"
]
},
"actor": {
"userId": "66fc54c4b131823ed5e710bc"
},
"createdAt": "2025-02-18T20:57:52.832Z",
"updatedAt": "2025-02-18T22:10:12.441Z",
"__v": 0,
"reference": "string"
}